using System;

namespace skyscraper5.Scorcher
{
	internal class NullPacketGenerator : IPacketGenerator
	{
		public bool PacketAvailable()
		{
			return true;
		}

		public byte[] GeneratePacket()
		{
			byte[] buffer = new byte[188];
			Array.Fill(buffer, (byte)0xff, 0, 188);
			buffer[0] = (byte)'G';
			buffer[1] = 0x1f;
			buffer[3] = 0x10;
			return buffer;
		}
	}
}
